Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: RALINK 2860 wireless driver - automatisch starten na reboot  (gelezen 2309 keer)

djubu

  • Gast
RALINK 2860 wireless driver - automatisch starten na reboot
« Gepost op: 2008/07/17, 23:39:47 »
L.S.

Ik ben bezig om op mijn zepto 3215w notebook wlan aan de gang te krijgen. Met behulp van talloze forumtopics heb ik dat voor elkaar gekregen. Alleen moet ik na een reboot een deel weer opnieuw doen.

Hier staat een topic over het laden van de driver en ik ben er inmiddels achter dat ik na een reboot onderstaande zinnetje even in de terminal moet plakken en via wicd opnieuw moet connecten.

sudo /sbin/insmod "/home/djubu/progs/2008_0522_RT2860_Linux_STA_v1.6.1.0/os/linux/rt2860sta.ko"Nou zou ik natuurlijk graag willen weten of ik dit niet kan automatiseren op een of ander manier.

Offline rja

  • Lid
  • Steunpunt: Nee
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #1 Gepost op: 2008/07/18, 08:57:24 »
Dat heb ik ook, met m'n Wireless op m'n desktop, die moet eerst even uitzetten en opnieuw aanzetten, voordat die werkt.

Ik heb de commando's in /etc/init.d/rc.local

gezet.

djubu

  • Gast
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #2 Gepost op: 2008/07/18, 10:01:23 »
De rc.local ziet er nu zo uit:
#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
log_end_msg $?
fi
}

case "$1" in
    start)
do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
        exit 3
        ;;
esac
Nu lees ik het een en ander dat ik mijn regel voor de exit0 moet zetten die ik dus helemaal niet heb.
Kan ik gewoon onderstaande proberen:
#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
log_end_msg $?
fi
}

case "$1" in
    start)
do_start
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: $0 start|stop" >&2
[b]sudo /sbin/insmod "/home/djubu/progs/2008_0522_RT2860_Linux_STA_v1.6.1.0/os/linux/rt2860sta.k[/b]
        exit 3
        ;;
esac
Ik heb zomaar het idee dat als ik iets verkeerd doe met dit bestand er wel eens gekke dingen kunnen gebeuren...

djubu

  • Gast
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #3 Gepost op: 2008/07/18, 10:03:09 »
waar die "haakje-b-haakje" en "haakje-backslash-b-haakje" alleen ter verduidelijking hier op het forum waren natuurlijk...

Offline rja

  • Lid
  • Steunpunt: Nee
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #4 Gepost op: 2008/07/18, 11:31:03 »
Citaat van: djubu
De rc.local ziet er nu zo uit:
Ik zit niet achter m'n Ubuntu computer, maar op het werk.

Ik deed dit uit m'n hoofd, het zou ook /etc/rc.local kunnen zijn, ik kijk het wel na, als ik thuis ben.

djubu

  • Gast
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #5 Gepost op: 2008/07/18, 11:50:47 »
Het lijkt me dat dit inderdaad wel de goede is. Maar als ik die als volgt edit en reboot is er nog niets verandert.
#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

/cdrom/custom/start.sh

/sbin/insmod "/home/djubu/progs/2008_0522_RT2860_Linux_STA_v1.6.1.0/os/linux/rt2860sta.ko"
exit 0

Offline rja

  • Lid
  • Steunpunt: Nee
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #6 Gepost op: 2008/07/18, 12:06:39 »
Citaat van: djubu
Het lijkt me dat dit inderdaad wel de goede is. Maar als ik die als volgt edit en reboot is er nog niets verandert.
Is dit script wel executable ?

Kun je opvragen met ls -l /etc/rc.local

aanpassen met :

sudo chmod +x /etc/rc.local

djubu

  • Gast
RALINK 2860 wireless driver - automatisch starten na reboot
« Reactie #7 Gepost op: 2008/07/18, 14:04:41 »
ls geeft deze output:
dj@laptopIII:~$ ls -l /etc/rc.local
-rwxr-xr-x 1 root root 421 2008-07-18 11:47 /etc/rc.local
dj@laptopIII:~$
Als ik het goed heb betekent dit dat de owner en others execute-rechten hebben.

De chmod-actie maakt in elk geval geen verschil en een reboot levert hetzelfde op.
Wazig allemaal.